Zympler.

Partners

For partners, such as installers and charge point operators, who manage sites for their customers.

Create and update organisations and locations on behalf of customers, and manage intakes: the information Zympler needs to bring a new site online, including uploaded files. Intakes can also be filled in by the customer through a link with a token: the by token endpoints.

As with Resources, you only see and change the partners, organisations and locations your service account has access to.

List partners

GET /partners

curl

curl -X GET "https://api.zympler.com/v1beta/partners" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN"

Rust

let response = reqwest::Client::new()
    .get("https://api.zympler.com/v1beta/partners")
    .bearer_auth(&token)
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

response = requests.get(
    "https://api.zympler.com/v1beta/partners",
    headers={"Authorization": f"Bearer {token}"},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Responses

Fields

FieldTypeRequiredDescription
[].idstring (uuid)yesThe id of the partner.
[].namestringyesThe name of the partner.
[].enable_intakebooleanyesIndicates whether the partner has access to the intake product
[].enable_simulationbooleanyesIndicates whether the partner has access to the simulation product
[].enable_pricingbooleanyesIndicates whether the partner has access to the pricing product

Status codes

StatusDescription
200Ok

Get partner

GET /partners/{partner_id}

curl

PARTNER_ID="<partner_id>"

curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN"

Rust

let partner_id = "<partner_id>";
let response = reqwest::Client::new()
    .get(format!("https://api.zympler.com/v1beta/partners/{partner_id}"))
    .bearer_auth(&token)
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
response = requests.get(
    f"https://api.zympler.com/v1beta/partners/{partner_id}",
    headers={"Authorization": f"Bearer {token}"},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
Responses

Fields

FieldTypeRequiredDescription
idstring (uuid)yesThe id of the partner.
namestringyesThe name of the partner.
enable_intakebooleanyesIndicates whether the partner has access to the intake product
enable_simulationbooleanyesIndicates whether the partner has access to the simulation product
enable_pricingbooleanyesIndicates whether the partner has access to the pricing product

Status codes

StatusDescription
200Ok

List organisations for a partner

GET /partners/{partner_id}/organisations

curl

PARTNER_ID="<partner_id>"

curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/organisations" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN"

Rust

let partner_id = "<partner_id>";
let response = reqwest::Client::new()
    .get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/organisations"))
    .bearer_auth(&token)
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
response = requests.get(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/organisations",
    headers={"Authorization": f"Bearer {token}"},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
include_all_statusesquerybooleanWhether or not to include all statuses for resources.
Responses

Fields

FieldTypeRequiredDescription
[].idstring (uuid)yesThe id of the organisation.
[].namestringyesThe name of the organisation.
[].time_zonestringyesDefault time zone for the organisation's location in IANA format.
[].location_idsstring (uuid)[]yesThe list of locations connected to the organisation.
[].statusstring: New, Staged, Live, Retired, UnknownyesStatus to determine whether data collection, forecasting and planning is active

Status codes

StatusDescription
200Ok

Create organisation and location for a partner

POST /partners/{partner_id}/organisations

curl

PARTNER_ID="<partner_id>"

curl -X POST "https://api.zympler.com/v1beta/partners/$PARTNER_ID/organisations" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "organisation": {
      "name": "Transport B.V.",
      "time_zone": "string",
      "status": "New"
    },
    "location": {
      "name": "string",
      "address": "string",
      "address_additional": "string",
      "house_number": 0,
      "house_number_additional": "string",
      "zip_code": "string",
      "city": "string",
      "country_code": "string",
      "time_zone": "string",
      "latitude": 0.0,
      "longitude": 0.0,
      "zoom": 0.0,
      "main_operator_id": "00000000-0000-0000-0000-000000000000",
      "status": "New"
    }
  }'

Rust

let partner_id = "<partner_id>";
let response = reqwest::Client::new()
    .post(format!("https://api.zympler.com/v1beta/partners/{partner_id}/organisations"))
    .bearer_auth(&token)
    .json(&serde_json::json!({
        "organisation": {
            "name": "Transport B.V.",
            "time_zone": "string",
            "status": "New"
        },
        "location": {
            "name": "string",
            "address": "string",
            "address_additional": "string",
            "house_number": 0,
            "house_number_additional": "string",
            "zip_code": "string",
            "city": "string",
            "country_code": "string",
            "time_zone": "string",
            "latitude": 0.0,
            "longitude": 0.0,
            "zoom": 0.0,
            "main_operator_id": "00000000-0000-0000-0000-000000000000",
            "status": "New"
        }
    }))
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
response = requests.post(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/organisations",
    headers={"Authorization": f"Bearer {token}"},
    json={
        "organisation": {
            "name": "Transport B.V.",
            "time_zone": "string",
            "status": "New",
        },
        "location": {
            "name": "string",
            "address": "string",
            "address_additional": "string",
            "house_number": 0,
            "house_number_additional": "string",
            "zip_code": "string",
            "city": "string",
            "country_code": "string",
            "time_zone": "string",
            "latitude": 0.0,
            "longitude": 0.0,
            "zoom": 0.0,
            "main_operator_id": "00000000-0000-0000-0000-000000000000",
            "status": "New",
        },
    },
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
Request body

application/json

FieldTypeRequiredDescription
organisationobjectyes
organisation.namestringyesThe name of the organisation.
organisation.time_zonestringyesDefault time zone for the organisation's location in IANA format.
organisation.statusstring: New, Staged, Live, Retired, UnknownyesStatus to determine whether data collection, forecasting and planning is active
locationobjectyesA location to create for an organisation that is created in the same request, to which it is linked.
location.namestringyesThe name of the location.
location.addressstringThe main address line with street name.
location.address_additionalstringAn optional additional address line.
location.house_numberintegerHouse number of the location.
location.house_number_additionalstringAdditions to the house number.
location.zip_codestringZip code.
location.citystringName of the city.
location.country_codestring2 letter country code in ISO 3166-1 alpha-2 format.
location.time_zonestringyesTime zone of the location in IANA format.
location.latitudenumber (float)Latitude of the location.
location.longitudenumber (float)Longitude of the location.
location.zoomnumber (float)Zoom level for Google Maps for viewing the entire location.
location.main_operator_idstring (uuid)The id of the partner.
location.statusstring: New, Staged, Live, Retired, UnknownyesStatus to determine whether data collection, forecasting and planning is active
Responses

Fields

FieldTypeRequiredDescription
organisationobjectyes
organisation.idstring (uuid)yesThe id of the organisation.
organisation.namestringyesThe name of the organisation.
organisation.time_zonestringyesDefault time zone for the organisation's location in IANA format.
organisation.location_idsstring (uuid)[]yesThe list of locations connected to the organisation.
organisation.statusstring: New, Staged, Live, Retired, UnknownyesStatus to determine whether data collection, forecasting and planning is active
locationobjectyes
location.idstring (uuid)yesThe id of the location.
location.organisation_idstring (uuid)yesThe id of the organisation.
location.namestringyesThe name of the location.
location.addressstringThe main address line with street name.
location.address_additionalstringAn optional additional address line.
location.house_numberintegerHouse number of the location.
location.house_number_additionalstringAdditions to the house number.
location.zip_codestringZip code.
location.citystringName of the city.
location.country_codestring2 letter country code in ISO 3166-1 alpha-2 format.
location.time_zonestringyesTime zone of the location in IANA format.
location.latitudenumber (float)Latitude of the location.
location.longitudenumber (float)Longitude of the location.
location.zoomnumber (float)Zoom level for Google Maps for viewing the entire location.
location.asset_topologystring (uuid)[][]yesEdges of directed graph representing the topology of assets at the location.
location.main_operator_idstring (uuid)The id of the partner.
location.statusstring: New, Staged, Live, Retired, UnknownyesStatus to determine whether data collection, forecasting and planning is active

Status codes

StatusDescription
200Ok
400Bad Request
401Unauthorized
403Forbidden

Get organisation for a partner

GET /partners/{partner_id}/organisations/{organisation_id}

curl

PARTNER_ID="<partner_id>"
ORGANISATION_ID="<organisation_id>"

curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/organisations/$ORGANISATION_ID" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN"

Rust

let partner_id = "<partner_id>";
let organisation_id = "<organisation_id>";
let response = reqwest::Client::new()
    .get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/organisations/{organisation_id}"))
    .bearer_auth(&token)
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
organisation_id = "<organisation_id>"
response = requests.get(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/organisations/{organisation_id}",
    headers={"Authorization": f"Bearer {token}"},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
organisation_idpathstring (uuid)yesOrganisation ID
include_all_statusesquerybooleanWhether or not to include all statuses for resources.
Responses

Fields

FieldTypeRequiredDescription
idstring (uuid)yesThe id of the organisation.
namestringyesThe name of the organisation.
time_zonestringyesDefault time zone for the organisation's location in IANA format.
location_idsstring (uuid)[]yesThe list of locations connected to the organisation.
statusstring: New, Staged, Live, Retired, UnknownyesStatus to determine whether data collection, forecasting and planning is active

Status codes

StatusDescription
200Ok

Update organisation for a partner (deprecated, please use patch_partner_organisation instead)

PUT /partners/{partner_id}/organisations/{organisation_id} (deprecated)

curl

PARTNER_ID="<partner_id>"
ORGANISATION_ID="<organisation_id>"

curl -X PUT "https://api.zympler.com/v1beta/partners/$PARTNER_ID/organisations/$ORGANISATION_ID" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "00000000-0000-0000-0000-000000000000",
    "name": "Transport B.V.",
    "time_zone": "string",
    "location_ids": [
      "00000000-0000-0000-0000-000000000000"
    ],
    "status": "New"
  }'

Rust

let partner_id = "<partner_id>";
let organisation_id = "<organisation_id>";
let response = reqwest::Client::new()
    .put(format!("https://api.zympler.com/v1beta/partners/{partner_id}/organisations/{organisation_id}"))
    .bearer_auth(&token)
    .json(&serde_json::json!({
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "Transport B.V.",
        "time_zone": "string",
        "location_ids": [
            "00000000-0000-0000-0000-000000000000"
        ],
        "status": "New"
    }))
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
organisation_id = "<organisation_id>"
response = requests.put(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/organisations/{organisation_id}",
    headers={"Authorization": f"Bearer {token}"},
    json={
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "Transport B.V.",
        "time_zone": "string",
        "location_ids": [
            "00000000-0000-0000-0000-000000000000",
        ],
        "status": "New",
    },
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
organisation_idpathstring (uuid)yesOrganisation ID
Request body

application/json

FieldTypeRequiredDescription
idstring (uuid)yesThe id of the organisation.
namestringyesThe name of the organisation.
time_zonestringyesDefault time zone for the organisation's location in IANA format.
location_idsstring (uuid)[]yesThe list of locations connected to the organisation.
statusstring: New, Staged, Live, Retired, UnknownyesStatus to determine whether data collection, forecasting and planning is active
Responses

Status codes

StatusDescription
200Ok
400Bad Request
401Unauthorized
403Forbidden

Update organisation for a partner

PATCH /partners/{partner_id}/organisations/{organisation_id}

Partially updates the organisation, following JSON Merge Patch semantics (RFC 7396). Omitted properties are left unchanged. None of the properties can be cleared, so they are not nullable.

curl

PARTNER_ID="<partner_id>"
ORGANISATION_ID="<organisation_id>"

curl -X PATCH "https://api.zympler.com/v1beta/partners/$PARTNER_ID/organisations/$ORGANISATION_ID" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "time_zone": "string",
    "status": "New",
    "disabled": true
  }'

Rust

let partner_id = "<partner_id>";
let organisation_id = "<organisation_id>";
let response = reqwest::Client::new()
    .patch(format!("https://api.zympler.com/v1beta/partners/{partner_id}/organisations/{organisation_id}"))
    .bearer_auth(&token)
    .json(&serde_json::json!({
        "name": "string",
        "time_zone": "string",
        "status": "New",
        "disabled": true
    }))
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
organisation_id = "<organisation_id>"
response = requests.patch(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/organisations/{organisation_id}",
    headers={"Authorization": f"Bearer {token}"},
    json={
        "name": "string",
        "time_zone": "string",
        "status": "New",
        "disabled": True,
    },
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
organisation_idpathstring (uuid)yesOrganisation ID
Request body

application/json

FieldTypeRequiredDescription
namestringThe name of the organisation.
time_zonestringDefault time zone for the organisation's location in IANA format.
statusstring: New, Staged, Live, Retired, UnknownStatus to determine whether data collection, forecasting and planning is active
disabledbooleanWhether the organisation is disabled.
Responses

Status codes

StatusDescription
200Ok
400Bad Request
401Unauthorized
403Forbidden

Delete organisation for a partner

DELETE /partners/{partner_id}/organisations/{organisation_id}

curl

PARTNER_ID="<partner_id>"
ORGANISATION_ID="<organisation_id>"

curl -X DELETE "https://api.zympler.com/v1beta/partners/$PARTNER_ID/organisations/$ORGANISATION_ID" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN"

Rust

let partner_id = "<partner_id>";
let organisation_id = "<organisation_id>";
let response = reqwest::Client::new()
    .delete(format!("https://api.zympler.com/v1beta/partners/{partner_id}/organisations/{organisation_id}"))
    .bearer_auth(&token)
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
organisation_id = "<organisation_id>"
response = requests.delete(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/organisations/{organisation_id}",
    headers={"Authorization": f"Bearer {token}"},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
organisation_idpathstring (uuid)yesOrganisation ID
Responses

Status codes

StatusDescription
200Ok
401Unauthorized
403Forbidden

List locations for a partner

GET /partners/{partner_id}/locations

curl

PARTNER_ID="<partner_id>"

curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/locations" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN"

Rust

let partner_id = "<partner_id>";
let response = reqwest::Client::new()
    .get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/locations"))
    .bearer_auth(&token)
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
response = requests.get(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/locations",
    headers={"Authorization": f"Bearer {token}"},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
organisation_idquerystring (uuid)Organisation ID
include_all_statusesquerybooleanWhether or not to include all statuses for resources.
Responses

Fields

FieldTypeRequiredDescription
[].idstring (uuid)yesThe id of the location.
[].organisation_idstring (uuid)yesThe id of the organisation.
[].namestringyesThe name of the location.
[].addressstringThe main address line with street name.
[].address_additionalstringAn optional additional address line.
[].house_numberintegerHouse number of the location.
[].house_number_additionalstringAdditions to the house number.
[].zip_codestringZip code.
[].citystringName of the city.
[].country_codestring2 letter country code in ISO 3166-1 alpha-2 format.
[].time_zonestringyesTime zone of the location in IANA format.
[].latitudenumber (float)Latitude of the location.
[].longitudenumber (float)Longitude of the location.
[].zoomnumber (float)Zoom level for Google Maps for viewing the entire location.
[].asset_topologystring (uuid)[][]yesEdges of directed graph representing the topology of assets at the location.
[].main_operator_idstring (uuid)The id of the partner.
[].statusstring: New, Staged, Live, Retired, UnknownyesStatus to determine whether data collection, forecasting and planning is active

Status codes

StatusDescription
200Ok

Add location for a partner

POST /partners/{partner_id}/locations

curl

PARTNER_ID="<partner_id>"

curl -X POST "https://api.zympler.com/v1beta/partners/$PARTNER_ID/locations" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "organisation_id": "00000000-0000-0000-0000-000000000000",
    "name": "string",
    "address": "string",
    "address_additional": "string",
    "house_number": 0,
    "house_number_additional": "string",
    "zip_code": "string",
    "city": "string",
    "country_code": "string",
    "time_zone": "string",
    "latitude": 0.0,
    "longitude": 0.0,
    "zoom": 0.0,
    "main_operator_id": "00000000-0000-0000-0000-000000000000",
    "status": "New"
  }'

Rust

let partner_id = "<partner_id>";
let response = reqwest::Client::new()
    .post(format!("https://api.zympler.com/v1beta/partners/{partner_id}/locations"))
    .bearer_auth(&token)
    .json(&serde_json::json!({
        "organisation_id": "00000000-0000-0000-0000-000000000000",
        "name": "string",
        "address": "string",
        "address_additional": "string",
        "house_number": 0,
        "house_number_additional": "string",
        "zip_code": "string",
        "city": "string",
        "country_code": "string",
        "time_zone": "string",
        "latitude": 0.0,
        "longitude": 0.0,
        "zoom": 0.0,
        "main_operator_id": "00000000-0000-0000-0000-000000000000",
        "status": "New"
    }))
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
response = requests.post(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/locations",
    headers={"Authorization": f"Bearer {token}"},
    json={
        "organisation_id": "00000000-0000-0000-0000-000000000000",
        "name": "string",
        "address": "string",
        "address_additional": "string",
        "house_number": 0,
        "house_number_additional": "string",
        "zip_code": "string",
        "city": "string",
        "country_code": "string",
        "time_zone": "string",
        "latitude": 0.0,
        "longitude": 0.0,
        "zoom": 0.0,
        "main_operator_id": "00000000-0000-0000-0000-000000000000",
        "status": "New",
    },
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
Request body

application/json

One of: CreatePartnerLocation

FieldTypeRequiredDescription
organisation_idstring (uuid)yesThe id of the organisation.
namestringyesThe name of the location.
addressstringThe main address line with street name.
address_additionalstringAn optional additional address line.
house_numberintegerHouse number of the location.
house_number_additionalstringAdditions to the house number.
zip_codestringZip code.
citystringName of the city.
country_codestring2 letter country code in ISO 3166-1 alpha-2 format.
time_zonestringyesTime zone of the location in IANA format.
latitudenumber (float)Latitude of the location.
longitudenumber (float)Longitude of the location.
zoomnumber (float)Zoom level for Google Maps for viewing the entire location.
main_operator_idstring (uuid)The id of the partner.
statusstring: New, Staged, Live, Retired, UnknownyesStatus to determine whether data collection, forecasting and planning is active

Or: LegacyAddPartnerLocation

FieldTypeRequiredDescription
partner_idstring (uuid)yesThe id of the partner.
locationobjectyes
location.organisation_idstring (uuid)yesThe id of the organisation.
location.namestringyesThe name of the location.
location.addressstringThe main address line with street name.
location.address_additionalstringAn optional additional address line.
location.house_numberintegerHouse number of the location.
location.house_number_additionalstringAdditions to the house number.
location.zip_codestringZip code.
location.citystringName of the city.
location.country_codestring2 letter country code in ISO 3166-1 alpha-2 format.
location.time_zonestringyesTime zone of the location in IANA format.
location.latitudenumber (float)Latitude of the location.
location.longitudenumber (float)Longitude of the location.
location.zoomnumber (float)Zoom level for Google Maps for viewing the entire location.
location.main_operator_idstring (uuid)The id of the partner.
location.statusstring: New, Staged, Live, Retired, UnknownyesStatus to determine whether data collection, forecasting and planning is active
Responses

Fields

FieldTypeRequiredDescription
idstring (uuid)yesThe id of the location.
organisation_idstring (uuid)yesThe id of the organisation.
namestringyesThe name of the location.
addressstringThe main address line with street name.
address_additionalstringAn optional additional address line.
house_numberintegerHouse number of the location.
house_number_additionalstringAdditions to the house number.
zip_codestringZip code.
citystringName of the city.
country_codestring2 letter country code in ISO 3166-1 alpha-2 format.
time_zonestringyesTime zone of the location in IANA format.
latitudenumber (float)Latitude of the location.
longitudenumber (float)Longitude of the location.
zoomnumber (float)Zoom level for Google Maps for viewing the entire location.
asset_topologystring (uuid)[][]yesEdges of directed graph representing the topology of assets at the location.
main_operator_idstring (uuid)The id of the partner.
statusstring: New, Staged, Live, Retired, UnknownyesStatus to determine whether data collection, forecasting and planning is active

Status codes

StatusDescription
200Ok
400Bad Request
401Unauthorized
403Forbidden

Get location for a partner

GET /partners/{partner_id}/locations/{location_id}

curl

PARTNER_ID="<partner_id>"
LOCATION_ID="<location_id>"

curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/locations/$LOCATION_ID" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN"

Rust

let partner_id = "<partner_id>";
let location_id = "<location_id>";
let response = reqwest::Client::new()
    .get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/locations/{location_id}"))
    .bearer_auth(&token)
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
location_id = "<location_id>"
response = requests.get(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/locations/{location_id}",
    headers={"Authorization": f"Bearer {token}"},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
location_idpathstring (uuid)yesLocation ID
include_all_statusesquerybooleanWhether or not to include all statuses for resources.
Responses

Fields

FieldTypeRequiredDescription
idstring (uuid)yesThe id of the location.
organisation_idstring (uuid)yesThe id of the organisation.
namestringyesThe name of the location.
addressstringThe main address line with street name.
address_additionalstringAn optional additional address line.
house_numberintegerHouse number of the location.
house_number_additionalstringAdditions to the house number.
zip_codestringZip code.
citystringName of the city.
country_codestring2 letter country code in ISO 3166-1 alpha-2 format.
time_zonestringyesTime zone of the location in IANA format.
latitudenumber (float)Latitude of the location.
longitudenumber (float)Longitude of the location.
zoomnumber (float)Zoom level for Google Maps for viewing the entire location.
asset_topologystring (uuid)[][]yesEdges of directed graph representing the topology of assets at the location.
main_operator_idstring (uuid)The id of the partner.
statusstring: New, Staged, Live, Retired, UnknownyesStatus to determine whether data collection, forecasting and planning is active

Status codes

StatusDescription
200Ok

Update location for a partner (deprecated, please use patch_partner_location instead)

PUT /partners/{partner_id}/locations/{location_id} (deprecated)

curl

PARTNER_ID="<partner_id>"
LOCATION_ID="<location_id>"

curl -X PUT "https://api.zympler.com/v1beta/partners/$PARTNER_ID/locations/$LOCATION_ID" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "00000000-0000-0000-0000-000000000000",
    "organisation_id": "00000000-0000-0000-0000-000000000000",
    "name": "string",
    "address": "string",
    "address_additional": "string",
    "house_number": 0,
    "house_number_additional": "string",
    "zip_code": "string",
    "city": "string",
    "country_code": "string",
    "time_zone": "string",
    "latitude": 0.0,
    "longitude": 0.0,
    "zoom": 0.0,
    "asset_topology": [
      [
        "00000000-0000-0000-0000-000000000000"
      ]
    ],
    "main_operator_id": "00000000-0000-0000-0000-000000000000",
    "status": "New"
  }'

Rust

let partner_id = "<partner_id>";
let location_id = "<location_id>";
let response = reqwest::Client::new()
    .put(format!("https://api.zympler.com/v1beta/partners/{partner_id}/locations/{location_id}"))
    .bearer_auth(&token)
    .json(&serde_json::json!({
        "id": "00000000-0000-0000-0000-000000000000",
        "organisation_id": "00000000-0000-0000-0000-000000000000",
        "name": "string",
        "address": "string",
        "address_additional": "string",
        "house_number": 0,
        "house_number_additional": "string",
        "zip_code": "string",
        "city": "string",
        "country_code": "string",
        "time_zone": "string",
        "latitude": 0.0,
        "longitude": 0.0,
        "zoom": 0.0,
        "asset_topology": [
            [
                "00000000-0000-0000-0000-000000000000"
            ]
        ],
        "main_operator_id": "00000000-0000-0000-0000-000000000000",
        "status": "New"
    }))
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
location_id = "<location_id>"
response = requests.put(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/locations/{location_id}",
    headers={"Authorization": f"Bearer {token}"},
    json={
        "id": "00000000-0000-0000-0000-000000000000",
        "organisation_id": "00000000-0000-0000-0000-000000000000",
        "name": "string",
        "address": "string",
        "address_additional": "string",
        "house_number": 0,
        "house_number_additional": "string",
        "zip_code": "string",
        "city": "string",
        "country_code": "string",
        "time_zone": "string",
        "latitude": 0.0,
        "longitude": 0.0,
        "zoom": 0.0,
        "asset_topology": [
            [
                "00000000-0000-0000-0000-000000000000",
            ],
        ],
        "main_operator_id": "00000000-0000-0000-0000-000000000000",
        "status": "New",
    },
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
location_idpathstring (uuid)yesLocation ID
Request body

application/json

FieldTypeRequiredDescription
idstring (uuid)yesThe id of the location.
organisation_idstring (uuid)yesThe id of the organisation.
namestringyesThe name of the location.
addressstringThe main address line with street name.
address_additionalstringAn optional additional address line.
house_numberintegerHouse number of the location.
house_number_additionalstringAdditions to the house number.
zip_codestringZip code.
citystringName of the city.
country_codestring2 letter country code in ISO 3166-1 alpha-2 format.
time_zonestringyesTime zone of the location in IANA format.
latitudenumber (float)Latitude of the location.
longitudenumber (float)Longitude of the location.
zoomnumber (float)Zoom level for Google Maps for viewing the entire location.
asset_topologystring (uuid)[][]yesEdges of directed graph representing the topology of assets at the location.
main_operator_idstring (uuid)The id of the partner.
statusstring: New, Staged, Live, Retired, UnknownyesStatus to determine whether data collection, forecasting and planning is active
Responses

Status codes

StatusDescription
200Ok
400Bad Request
401Unauthorized
403Forbidden

Update location for a partner

PATCH /partners/{partner_id}/locations/{location_id}

Partially updates the location, following JSON Merge Patch semantics (RFC 7396). Omitted properties are left unchanged and nullable properties are cleared by sending null.

curl

PARTNER_ID="<partner_id>"
LOCATION_ID="<location_id>"

curl -X PATCH "https://api.zympler.com/v1beta/partners/$PARTNER_ID/locations/$LOCATION_ID" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "address": "string",
    "address_additional": "string",
    "house_number": 0,
    "house_number_additional": "string",
    "zip_code": "string",
    "city": "string",
    "country_code": "string",
    "disabled": true
  }'

Rust

let partner_id = "<partner_id>";
let location_id = "<location_id>";
let response = reqwest::Client::new()
    .patch(format!("https://api.zympler.com/v1beta/partners/{partner_id}/locations/{location_id}"))
    .bearer_auth(&token)
    .json(&serde_json::json!({
        "name": "string",
        "address": "string",
        "address_additional": "string",
        "house_number": 0,
        "house_number_additional": "string",
        "zip_code": "string",
        "city": "string",
        "country_code": "string",
        "disabled": true
    }))
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
location_id = "<location_id>"
response = requests.patch(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/locations/{location_id}",
    headers={"Authorization": f"Bearer {token}"},
    json={
        "name": "string",
        "address": "string",
        "address_additional": "string",
        "house_number": 0,
        "house_number_additional": "string",
        "zip_code": "string",
        "city": "string",
        "country_code": "string",
        "disabled": True,
    },
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
location_idpathstring (uuid)yesLocation ID
Request body

application/json

FieldTypeRequiredDescription
namestringThe name of the location.
addressstring | nullThe main address line with street name.
address_additionalstring | nullAn optional additional address line.
house_numberinteger | null (int64)House number of the location.
house_number_additionalstring | nullAdditions to the house number.
zip_codestring | nullZip code.
citystring | nullName of the city.
country_codestring | null2 letter country code in ISO 3166-1 alpha-2 format.
disabledbooleanWhether the location is disabled.
Responses

Status codes

StatusDescription
200Ok
400Bad Request
401Unauthorized
403Forbidden

Delete location for a partner

DELETE /partners/{partner_id}/locations/{location_id}

curl

PARTNER_ID="<partner_id>"
LOCATION_ID="<location_id>"

curl -X DELETE "https://api.zympler.com/v1beta/partners/$PARTNER_ID/locations/$LOCATION_ID" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN"

Rust

let partner_id = "<partner_id>";
let location_id = "<location_id>";
let response = reqwest::Client::new()
    .delete(format!("https://api.zympler.com/v1beta/partners/{partner_id}/locations/{location_id}"))
    .bearer_auth(&token)
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
location_id = "<location_id>"
response = requests.delete(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/locations/{location_id}",
    headers={"Authorization": f"Bearer {token}"},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
location_idpathstring (uuid)yesLocation ID
Responses

Status codes

StatusDescription
200Ok
401Unauthorized
403Forbidden

List partner intakes

GET /partners/{partner_id}/intakes

curl

PARTNER_ID="<partner_id>"

curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN"

Rust

let partner_id = "<partner_id>";
let response = reqwest::Client::new()
    .get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes"))
    .bearer_auth(&token)
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
response = requests.get(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes",
    headers={"Authorization": f"Bearer {token}"},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
include_disabledquerybooleanWhether or not to include disabled resources.
Responses

Fields

Type: object[]

Status codes

StatusDescription
200Ok
401Unauthorized
403Forbidden

Create partner intake

POST /partners/{partner_id}/intakes

curl

PARTNER_ID="<partner_id>"

curl -X POST "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Rust

let partner_id = "<partner_id>";
let response = reqwest::Client::new()
    .post(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes"))
    .bearer_auth(&token)
    .json(&serde_json::json!({}))
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
response = requests.post(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes",
    headers={"Authorization": f"Bearer {token}"},
    json={},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
Request body

application/json

Type: object

Responses

Fields

Type: object

Status codes

StatusDescription
200Ok
400Bad Request
401Unauthorized
403Forbidden

Get partner intake

GET /partners/{partner_id}/intakes/{partner_intake_id}

curl

PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"

curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes/$PARTNER_INTAKE_ID" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN"

Rust

let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
    .get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}"))
    .bearer_auth(&token)
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.get(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}",
    headers={"Authorization": f"Bearer {token}"},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
partner_intake_idpathstring (uuid)yesPartner intake ID
include_disabledquerybooleanWhether or not to include disabled resources.
Responses

Fields

Type: object

Status codes

StatusDescription
200Ok
401Unauthorized
403Forbidden

Update partner intake (deprecated, please use patch_partner_intake instead)

PUT /partners/{partner_id}/intakes/{partner_intake_id} (deprecated)

curl

PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"

curl -X PUT "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes/$PARTNER_INTAKE_ID" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Rust

let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
    .put(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}"))
    .bearer_auth(&token)
    .json(&serde_json::json!({}))
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.put(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}",
    headers={"Authorization": f"Bearer {token}"},
    json={},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
partner_intake_idpathstring (uuid)yesPartner intake ID
Request body

application/json

Type: object

Responses

Fields

Type: object

Status codes

StatusDescription
200Ok
400Bad Request
401Unauthorized
403Forbidden

Patch partner intake

PATCH /partners/{partner_id}/intakes/{partner_intake_id}

curl

PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"

curl -X PATCH "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes/$PARTNER_INTAKE_ID" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Rust

let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
    .patch(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}"))
    .bearer_auth(&token)
    .json(&serde_json::json!({}))
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.patch(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}",
    headers={"Authorization": f"Bearer {token}"},
    json={},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
partner_intake_idpathstring (uuid)yesPartner intake ID
Request body

application/json

Type: object

Responses

Fields

Type: object

Status codes

StatusDescription
200Ok
400Bad Request
401Unauthorized
403Forbidden

Delete partner intake

DELETE /partners/{partner_id}/intakes/{partner_intake_id}

curl

PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"

curl -X DELETE "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes/$PARTNER_INTAKE_ID" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN"

Rust

let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
    .delete(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}"))
    .bearer_auth(&token)
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.delete(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}",
    headers={"Authorization": f"Bearer {token}"},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
partner_intake_idpathstring (uuid)yesPartner intake ID
Responses

Status codes

StatusDescription
200Ok
400Bad Request
401Unauthorized
403Forbidden

Get partner intake token

GET /partners/{partner_id}/intakes/{partner_intake_id}/token

curl

PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"

curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes/$PARTNER_INTAKE_ID/token" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN"

Rust

let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
    .get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}/token"))
    .bearer_auth(&token)
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.get(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}/token",
    headers={"Authorization": f"Bearer {token}"},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
partner_intake_idpathstring (uuid)yesPartner intake ID
Responses

Fields

Type: string

Status codes

StatusDescription
200Ok
401Unauthorized
403Forbidden

Upload partner intake file

POST /partners/{partner_id}/intakes/{partner_intake_id}/files

curl

PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"

curl -X POST "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes/$PARTNER_INTAKE_ID/files?file_id=00000000-0000-0000-0000-000000000000&file_type=string&original_filename=string" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN" \
  -H "Content-Type: application/pdf" \
  --data-binary @file

Rust

let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
    .post(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}/files"))
    .bearer_auth(&token)
    .query(&[("file_id", "00000000-0000-0000-0000-000000000000"), ("file_type", "string"), ("original_filename", "string")])
    .header("Content-Type", "application/pdf")
    .body(std::fs::read("file")?)
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.post(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}/files",
    headers={"Authorization": f"Bearer {token}", "Content-Type": "application/pdf"},
    params={
        "file_id": "00000000-0000-0000-0000-000000000000",
        "file_type": "string",
        "original_filename": "string",
    },
    data=open("file", "rb"),
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
partner_intake_idpathstring (uuid)yesPartner intake ID
file_idquerystring (uuid)yesPartner intake file ID
file_typequerystringyesPartner intake file type
original_filenamequerystringyesPartner intake original file name
mime_typequerystringPartner intake file mime type
file_sizequeryintegerPartner intake file size in bytes
Request body

application/pdf

Type: string (binary)

Responses

Status codes

StatusDescription
200Ok
400Bad Request
401Unauthorized
403Forbidden

Download partner intake file

GET /partners/{partner_id}/intakes/{partner_intake_id}/files/{partner_intake_file_id}

curl

PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"
PARTNER_INTAKE_FILE_ID="<partner_intake_file_id>"

curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes/$PARTNER_INTAKE_ID/files/$PARTNER_INTAKE_FILE_ID" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN"

Rust

let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let partner_intake_file_id = "<partner_intake_file_id>";
let response = reqwest::Client::new()
    .get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}/files/{partner_intake_file_id}"))
    .bearer_auth(&token)
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
partner_intake_file_id = "<partner_intake_file_id>"
response = requests.get(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}/files/{partner_intake_file_id}",
    headers={"Authorization": f"Bearer {token}"},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
partner_intake_idpathstring (uuid)yesPartner intake ID
partner_intake_file_idpathstring (uuid)yesPartner intake file ID
Responses

Fields

Type: string (binary)

Status codes

StatusDescription
200Ok
401Unauthorized
403Forbidden

Delete partner intake file

DELETE /partners/{partner_id}/intakes/{partner_intake_id}/files/{partner_intake_file_id}

curl

PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"
PARTNER_INTAKE_FILE_ID="<partner_intake_file_id>"

curl -X DELETE "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes/$PARTNER_INTAKE_ID/files/$PARTNER_INTAKE_FILE_ID" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN"

Rust

let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let partner_intake_file_id = "<partner_intake_file_id>";
let response = reqwest::Client::new()
    .delete(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}/files/{partner_intake_file_id}"))
    .bearer_auth(&token)
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
partner_intake_file_id = "<partner_intake_file_id>"
response = requests.delete(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes/{partner_intake_id}/files/{partner_intake_file_id}",
    headers={"Authorization": f"Bearer {token}"},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
partner_intake_idpathstring (uuid)yesPartner intake ID
partner_intake_file_idpathstring (uuid)yesPartner intake file ID
Responses

Status codes

StatusDescription
200Ok
400Bad Request
401Unauthorized
403Forbidden

Get partner intake

GET /partners/{partner_id}/intakes-by-token/{partner_intake_id}

curl

PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"

curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes-by-token/$PARTNER_INTAKE_ID?token=string" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN"

Rust

let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
    .get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}"))
    .bearer_auth(&token)
    .query(&[("token", "string")])
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.get(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}",
    headers={"Authorization": f"Bearer {token}"},
    params={
        "token": "string",
    },
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
partner_intake_idpathstring (uuid)yesPartner intake ID
tokenquerystringyesTime-limited JWT token to secure endpoints without a user
Responses

Fields

Type: object

Status codes

StatusDescription
200Ok
401Unauthorized
403Forbidden

Update partner intake (deprecated, please use patch_partner_intake_by_token instead)

PUT /partners/{partner_id}/intakes-by-token/{partner_intake_id} (deprecated)

curl

PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"

curl -X PUT "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes-by-token/$PARTNER_INTAKE_ID?token=string" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Rust

let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
    .put(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}"))
    .bearer_auth(&token)
    .query(&[("token", "string")])
    .json(&serde_json::json!({}))
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.put(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}",
    headers={"Authorization": f"Bearer {token}"},
    params={
        "token": "string",
    },
    json={},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
partner_intake_idpathstring (uuid)yesPartner intake ID
tokenquerystringyesTime-limited JWT token to secure endpoints without a user
Request body

application/json

Type: object

Responses

Fields

Type: object

Status codes

StatusDescription
200Ok
400Bad Request
401Unauthorized
403Forbidden

Patch partner intake

PATCH /partners/{partner_id}/intakes-by-token/{partner_intake_id}

curl

PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"

curl -X PATCH "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes-by-token/$PARTNER_INTAKE_ID?token=string" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Rust

let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
    .patch(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}"))
    .bearer_auth(&token)
    .query(&[("token", "string")])
    .json(&serde_json::json!({}))
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.patch(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}",
    headers={"Authorization": f"Bearer {token}"},
    params={
        "token": "string",
    },
    json={},
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
partner_intake_idpathstring (uuid)yesPartner intake ID
tokenquerystringyesTime-limited JWT token to secure endpoints without a user
Request body

application/json

Type: object

Responses

Fields

Type: object

Status codes

StatusDescription
200Ok
400Bad Request
401Unauthorized
403Forbidden

Upload partner intake file

POST /partners/{partner_id}/intakes-by-token/{partner_intake_id}/files

curl

PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"

curl -X POST "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes-by-token/$PARTNER_INTAKE_ID/files?file_id=00000000-0000-0000-0000-000000000000&file_type=string&original_filename=string&token=string" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN" \
  -H "Content-Type: application/pdf" \
  --data-binary @file

Rust

let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let response = reqwest::Client::new()
    .post(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}/files"))
    .bearer_auth(&token)
    .query(&[("file_id", "00000000-0000-0000-0000-000000000000"), ("file_type", "string"), ("original_filename", "string"), ("token", "string")])
    .header("Content-Type", "application/pdf")
    .body(std::fs::read("file")?)
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
response = requests.post(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}/files",
    headers={"Authorization": f"Bearer {token}", "Content-Type": "application/pdf"},
    params={
        "file_id": "00000000-0000-0000-0000-000000000000",
        "file_type": "string",
        "original_filename": "string",
        "token": "string",
    },
    data=open("file", "rb"),
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
partner_intake_idpathstring (uuid)yesPartner intake ID
file_idquerystring (uuid)yesPartner intake file ID
file_typequerystringyesPartner intake file type
original_filenamequerystringyesPartner intake original file name
mime_typequerystringPartner intake file mime type
file_sizequeryintegerPartner intake file size in bytes
tokenquerystringyesTime-limited JWT token to secure endpoints without a user
Request body

application/pdf

Type: string (binary)

Responses

Status codes

StatusDescription
200Ok
400Bad Request
401Unauthorized
403Forbidden

Download partner intake file

GET /partners/{partner_id}/intakes-by-token/{partner_intake_id}/files/{partner_intake_file_id}

curl

PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"
PARTNER_INTAKE_FILE_ID="<partner_intake_file_id>"

curl -X GET "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes-by-token/$PARTNER_INTAKE_ID/files/$PARTNER_INTAKE_FILE_ID?token=string" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN"

Rust

let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let partner_intake_file_id = "<partner_intake_file_id>";
let response = reqwest::Client::new()
    .get(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}/files/{partner_intake_file_id}"))
    .bearer_auth(&token)
    .query(&[("token", "string")])
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
partner_intake_file_id = "<partner_intake_file_id>"
response = requests.get(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}/files/{partner_intake_file_id}",
    headers={"Authorization": f"Bearer {token}"},
    params={
        "token": "string",
    },
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
partner_intake_idpathstring (uuid)yesPartner intake ID
partner_intake_file_idpathstring (uuid)yesPartner intake file ID
tokenquerystringyesTime-limited JWT token to secure endpoints without a user
Responses

Fields

Type: string (binary)

Status codes

StatusDescription
200Ok
401Unauthorized
403Forbidden

Delete partner intake file

DELETE /partners/{partner_id}/intakes-by-token/{partner_intake_id}/files/{partner_intake_file_id}

curl

PARTNER_ID="<partner_id>"
PARTNER_INTAKE_ID="<partner_intake_id>"
PARTNER_INTAKE_FILE_ID="<partner_intake_file_id>"

curl -X DELETE "https://api.zympler.com/v1beta/partners/$PARTNER_ID/intakes-by-token/$PARTNER_INTAKE_ID/files/$PARTNER_INTAKE_FILE_ID?token=string" \
  -H "Authorization: Bearer $ZYMPLER_TOKEN"

Rust

let partner_id = "<partner_id>";
let partner_intake_id = "<partner_intake_id>";
let partner_intake_file_id = "<partner_intake_file_id>";
let response = reqwest::Client::new()
    .delete(format!("https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}/files/{partner_intake_file_id}"))
    .bearer_auth(&token)
    .query(&[("token", "string")])
    .send()
    .await?
    .error_for_status()?;
let body: serde_json::Value = response.json().await?;

Python

partner_id = "<partner_id>"
partner_intake_id = "<partner_intake_id>"
partner_intake_file_id = "<partner_intake_file_id>"
response = requests.delete(
    f"https://api.zympler.com/v1beta/partners/{partner_id}/intakes-by-token/{partner_intake_id}/files/{partner_intake_file_id}",
    headers={"Authorization": f"Bearer {token}"},
    params={
        "token": "string",
    },
    timeout=30,
)
response.raise_for_status()
data = response.json()
Parameters
NameInTypeRequiredDescription
partner_idpathstring (uuid)yesPartner ID
partner_intake_idpathstring (uuid)yesPartner intake ID
partner_intake_file_idpathstring (uuid)yesPartner intake file ID
tokenquerystringyesTime-limited JWT token to secure endpoints without a user
Responses

Status codes

StatusDescription
200Ok
400Bad Request
401Unauthorized
403Forbidden
Search